## gimpbrushselect gimpbrushselect |

## Functions

void | (*GimpRunBrushCallback) ()
const gchar * | gimp_brush_select_new ()
void | gimp_brush_select_destroy ()
gboolean | gimp_brushes_popup ()
gboolean | gimp_brushes_close_popup ()
gboolean | gimp_brushes_set_popup ()

## Description

## Functions

### GimpRunBrushCallback ()

    void
    (*GimpRunBrushCallback) (const gchar *brush_name,
                             gdouble opacity,
                             gint spacing,
                             GimpLayerModeEffects paint_mode,
                             gint width,
                             gint height,
                             const guchar *mask_data,
                             gboolean dialog_closing,
                             gpointer user_data);

### gimp_brush_select_new ()

    const gchar *
    gimp_brush_select_new (const gchar *title,
                           const gchar *brush_name,
                           gdouble opacity,
                           gint spacing,
                           GimpLayerModeEffects paint_mode,
                           GimpRunBrushCallback callback,
                           gpointer data);

### gimp_brush_select_destroy ()

    void
    gimp_brush_select_destroy (const gchar *brush_callback);

### gimp_brushes_popup ()

    gboolean
    gimp_brushes_popup (const gchar *brush_callback,
                        const gchar *popup_title,
                        const gchar *initial_brush,
                        gdouble opacity,
                        gint spacing,
                        GimpLayerModeEffects paint_mode);

### gimp_brushes_close_popup ()

    gboolean
    gimp_brushes_close_popup (const gchar *brush_callback);

### gimp_brushes_set_popup ()

    gboolean
    gimp_brushes_set_popup (const gchar *brush_callback,
                            const gchar *brush_name,
                            gdouble opacity,
                            gint spacing,
                            GimpLayerModeEffects paint_mode);

## Types and Values